
<h1 style="margin: 20px 0px 0px 40px">Movimientos</h1>

<mat-card style="margin: 20px 40px 40px 40px">

    <mat-card-title>
        <button mat-raised-button color="primary" (click)="agregarMovimiento()">
            <mat-icon mat-list-icon>add</mat-icon> Agregar un Movimiento
        </button>
    </mat-card-title>
    <mat-divider></mat-divider>

    <mat-card-content class="dashboard-card-content">
        <mat-form-field appearance="standard">
            <mat-label>Buscar</mat-label>
            <mat-form-field appearance="outline">
                <mat-label>Seleccione un mes</mat-label>
                <mat-select (selectionChange)="changeMes($event)">
                  <mat-option *ngFor="let mes of meses" [value]="mes.numero">
                    {{ mes.nombre }}
                  </mat-option>
                </mat-select>
              </mat-form-field>
        </mat-form-field>
        <div class="mat-elevation-z2"  *ngIf="dataReporte">
            <table mat-table [dataSource]="dataReporte">
                <!--
                   "idEmpleado", "empleado", "rol", "horasTrabajadas", 
                    "bonoEntrega", "bonoPorHora", "isr", "isrAdicional", "vales"]
                -->
                <ng-container matColumnDef="idEmpleado">
                    <th mat-header-cell *matHeaderCellDef> ID EMPLEADO  </th>
                    <td mat-cell *matCellDef="let reporte">{{reporte.idEmpleado}}</td>
                </ng-container>
                <ng-container matColumnDef="empleado">
                    <th mat-header-cell *matHeaderCellDef> Empleado  </th>
                    <td mat-cell *matCellDef="let reporte">{{reporte.empleado}}</td>
                </ng-container>
                <ng-container matColumnDef="rol">
                    <th mat-header-cell *matHeaderCellDef> Rol  </th>
                    <td mat-cell *matCellDef="let reporte">{{reporte.rol}}</td>
                </ng-container>
                <ng-container matColumnDef="horasTrabajadas">
                    <th mat-header-cell *matHeaderCellDef> Horas Trabajadas  </th>
                    <td mat-cell *matCellDef="let reporte">{{reporte.horasTrabajadas}}</td>
                </ng-container>
                <ng-container matColumnDef="bonoEntrega">
                    <th mat-header-cell *matHeaderCellDef> Bono Entrega </th>
                    <td mat-cell *matCellDef="let reporte">{{reporte.bonoEntrega}}</td>
                </ng-container>
                <ng-container matColumnDef="bonoPorHora">
                    <th mat-header-cell *matHeaderCellDef> Bono Hora </th>
                    <td mat-cell *matCellDef="let reporte">{{reporte.bonoPorHora}}</td>
                </ng-container>
                <ng-container matColumnDef="isr">
                    <th mat-header-cell *matHeaderCellDef> ISR </th>
                    <td mat-cell *matCellDef="let reporte">{{reporte.isr}}</td>
                </ng-container>
                <ng-container matColumnDef="isrAdicional">
                    <th mat-header-cell *matHeaderCellDef> ISR Adicional </th>
                    <td mat-cell *matCellDef="let reporte">{{reporte.isrAdicional}}</td>
                </ng-container>
                <ng-container matColumnDef="vales">
                    <th mat-header-cell *matHeaderCellDef> Vales </th>
                    <td mat-cell *matCellDef="let reporte">{{reporte.vales}}</td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="columnasTabla"></tr>
                <tr mat-row *matRowDef="let row; columns: columnasTabla;"></tr>


            </table>

            <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons>
            </mat-paginator>
        </div>

    </mat-card-content>

</mat-card>
